Subject: Re: zImage.elf loads but does not start

From: Mirek23 <[email-masked]>
Date: Fri, 25 May 2007 08:23:57 -0700 (PDT)

Hi Andrei,

     Thank you very much for your suggestion. 
I am very grateful for all of your hints. They were always very valuable to
me.

I have set as you mentioned:
#define XPAR_DDR_0_SIZE                 0x2000000

And now all works fine!!!!

The root file system is mounted and I can execute whatever I like from the
rootfile system.
It was just my mistake that I did not noticed the memory size was wrong :(

After all of that I would like to use the GPIO driver to talk to the FPGA
part of the board.
Do you have some experience with that. 

in my xparameters_ml403.h I have two devices defined: LEDs and SWITCHES as
listed below

/* Definitions for peripheral LEDS_8BIT */
#define XPAR_LEDS_8BIT_BASEADDR 0x40000000
#define XPAR_LEDS_8BIT_HIGHADDR 0x4000FFFF
#define XPAR_LEDS_8BIT_DEVICE_ID 0
#define XPAR_LEDS_8BIT_INTERRUPT_PRESENT 0
#define XPAR_LEDS_8BIT_IS_DUAL 0

/* Definitions for peripheral DIP_SWITCHES_8BIT */
#define XPAR_DIP_SWITCHES_8BIT_BASEADDR 0x40020000
#define XPAR_DIP_SWITCHES_8BIT_HIGHADDR 0x4002FFFF
#define XPAR_DIP_SWITCHES_8BIT_DEVICE_ID 1
#define XPAR_DIP_SWITCHES_8BIT_INTERRUPT_PRESENT 0
#define XPAR_DIP_SWITCHES_8BIT_IS_DUAL 0

#define XPAR_GPIO_0_BASEADDR XPAR_LEDS_8BIT_BASEADDR
#define XPAR_GPIO_0_HIGHADDR XPAR_LEDS_8BIT_HIGHADDR
#define XPAR_GPIO_0_IS_DUAL XPAR_LEDS_8BIT_IS_DUAL
#define XPAR_GPIO_0_DEVICE_ID XPAR_LEDS_8BIT_DEVICE_ID
#define XPAR_GPIO_1_BASEADDR XPAR_DIP_SWITCHES_8BIT_BASEADDR
#define XPAR_GPIO_1_HIGHADDR XPAR_DIP_SWITCHES_8BIT_HIGHADDR
#define XPAR_GPIO_1_IS_DUAL XPAR_DIP_SWITCHES_8BIT_IS_DUAL
#define XPAR_GPIO_1_DEVICE_ID XPAR_DIP_SWITCHES_8BIT_DEVICE_ID

but I do not know how exactly to talk to them by means of the xgpio driver.

Best Regards and many many thanks for your support

Mirek

Andrei Konovalov wrote:
> 
> Mirek,
> 
> Miroslaw Dach wrote:
>> I do not know however if the stack is properly configured since I did not 
>> see any parameter in kernel which refers to the stack or heap. 
>> 
>> My bsp i.e xparameteres_ml403.h contains two macros:
>> #define XPAR_DDR_SDRAM_1_MEM0_BASEADDR 0x00000000
>> #define XPAR_DDR_SDRAM_1_MEM0_HIGHADDR 0x01FFFFFF
>> 
>> I have the feeling that they are ignored because I did not find anywhere 
>> in the kernel source those names. 
>> 
>> When kernel boots it prints at the beginning:
>> loaded at:     00400000 004F9138 
>> board data at: 004F7120 004F7138 
>> relocated to:  00404064 0040407C 
>> zimage at:     00404DF1 004F6BBB 
>> avail ram:     004FA000 04000000 
> 
> Have you fixed this?
> 
> For 32 MBytes of DRAM you should have
>    #define XPAR_DDR_0_SIZE                 0x2000000
> in your xparameters_ml403.h file.
> I can't recall the whole story, but EDK 8.2 doesn't
> add this #define when generating the xparameters file,
> so I had to add this line by hand for EDK 8.2 generated
> files. Probably earlier EDK versions did that automatically.
> 
> But your kernel (the bootwrapper to be precise) wouldn't compile
> if XPAR_DDR_0_SIZE were not defined...
> Do you use uboot?
> 
> Thanks,
> Andrei
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/zImage.elf-loads-but-not-starts-tf3607582.html#a10805157
Sent from the linuxppc-embedded mailing list archive at Nabble.com.